# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-image-elements
Summary:	OpenStack TripleO Image Elements for diskimage-builder
Version:	0.9.6
Release:	10%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0:	http://tarballs.openstack.org/tripleo-image-elements/tripleo-image-elements-%{version}.tar.gz

#
# patches_base=+2
#
Patch0001: 0001-Migrate-os-config-to-package-installs-v2.patch
Patch0002: 0002-This-is-a-non-code-changing-commit-intended-to-trigg.patch
Patch0003: 0003-Moving-stack-parameter-defaults-to-Tuskar-install.patch
Patch0004: 0004-Added-keystone-auth-configuration-to-the-tuskar-elem.patch
Patch0005: 0005-Return-derived-config-id-when-signalling-deployments.patch
Patch0006: 0006-Explicitly-set-the-default-Ceph-scale-to-0.patch
Patch0007: 0007-Make-etc-os-collect-config.conf-only-root-readable.patch
Patch0008: 0008-os-net-config-add-ping_metadata_ip-function.patch
Patch0009: 0009-Load-the-validation-scripts-as-role-extra-data-for-t.patch

BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python-pbr

Requires:	diskimage-builder

%description
OpenStack TripleO Image Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images for the TripleO
program.

%prep
%setup -q -n tripleo-image-elements-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

# Files created by patches are not +x
chmod +x %{buildroot}/%{_datadir}/tripleo-image-elements/tuskar/install.d/tuskar-source-install/100-tuskar-api

%post
manifest_file=/etc/dib-manifests/dib-element-manifest

if [ -f $manifest_file ]; then
    source /usr/share/diskimage-builder/lib/common-functions
    TMP_HOOKS_PATH=$(mktemp -d)
    IMAGE_ELEMENT=$(cat $manifest_file)
    ELEMENTS_PATH=/usr/share/instack-undercloud/:/usr/share/tripleo-image-elements/:/usr/share/diskimage-builder/elements/
    generate_hooks 

    # os-apply-config templates
    TEMPLATE_ROOT=/usr/libexec/os-apply-config/templates
    if [ -d $TEMPLATE_ROOT ]; then
	TEMPLATE_SOURCE=$TMP_HOOKS_PATH/os-apply-config
	rsync --delete --exclude='.*.swp' -Cr $TEMPLATE_SOURCE/ $TEMPLATE_ROOT/
    fi

    # os-refresh-config scripts
    SCRIPT_BASE=/usr/libexec/os-refresh-config
    if [ -d $SCRIPT_BASE ]; then
	SCRIPT_SOURCE=$TMP_HOOKS_PATH/os-refresh-config
	rsync -r $SCRIPT_SOURCE/ $SCRIPT_BASE/
    fi

    # bin files
    if [ -d /usr/local/bin ]; then
        install -m 0755 -o root -g root $TMP_HOOKS_PATH/bin/* /usr/local/bin
    fi
fi

# be sure to always exit true
true

%files
%doc LICENSE
%doc README.md
%doc AUTHORS
%doc ChangeLog
%{python_sitelib}/tripleo_image_elements*
%{_datadir}/tripleo-image-elements

%changelog
* Fri Sep 11 2015 Mike Burns <mburns@redhat.com> 0.9.6-10
- Load the validation-scripts as role extra data for tuskar init rhbz#1246596

* Fri Sep 04 2015 Mike Burns <mburns@redhat.com> 0.9.6-9
- os-net-config: add ping_metadata_ip function rhbz#1244026

* Mon Jul 06 2015 James Slagle <jslagle@redhat.com> 0.9.6-6
- Make /etc/os-collect-config.conf only root readable

* Tue Jun 30 2015 Mike Burns <mburns@redhat.com> 0.9.6-5
- Explicitly set the default Ceph scale to 0 rhbz#1235994

* Wed Jun 24 2015 Mike Burns <mburns@redhat.com> 0.9.6-4
- Return derived config id when signalling deployments

* Tue Jun 23 2015 Mike Burns <mburns@redhat.com> 0.9.6-3
- Added keystone auth configuration to the tuskar element

* Tue Jun 23 2015 James Slagle <jslagle@redhat.com> 0.9.6-2
- Moving stack parameter defaults to Tuskar install

* Thu Jun 04 2015 Mike Burns <mburns@redhat.com> 0.9.6-1
- Update to upstream 0.9.6

* Thu May 07 2015 Mike Burns <mburns@redhat.com> 0.9.3-1
- Update to upstream 0.9.3

* Wed Jan 14 2015 James Slagle <jslagle@redhat.com> 0.8.10-19
- Fix the STATIC_ROOT after overwriting local_settings.py
- Merge pull request #2 from gfidente/master-patches

* Fri Jan 09 2015 James Slagle <jslagle@redhat.com> 0.8.10-18
- Merge pull request #2 from gfidente/master-patches
- Allow for usage of l3_ha in neutron config

* Mon Jan 05 2015 James Slagle <jslagle@redhat.com> 0.8.10-17
- Update patch for nagios-common to work on rhel7

* Mon Jan 05 2015 James Slagle <jslagle@redhat.com> 0.8.10-16
- Use nagios-common instead of nagios-plugins-all on RHEL.

* Mon Jan 05 2015 James Slagle <jslagle@redhat.com> 0.8.10-15
- Remove 0 byte patch file
  0016-Use-keepalived-notify-script-if-virtual_interfaces-a.patch

* Tue Dec 23 2014 James Slagle <jslagle@redhat.com> 0.8.10-14
- Support RedHatEnterpriseWorkstation in add-rule

* Thu Dec 18 2014 James Slagle <jslagle@redhat.com> 0.8.10-13
- Remove --delete when rsync'ing os-refresh-config hook scripts
  as this can cause problems for scripts created via indirection at install
  time.

* Thu Dec 18 2014 James Slagle <jslagle@redhat.com> 0.8.10-12
- Additional fixes for horizon package install

* Tue Dec 16 2014 James Slagle <jslagle@redhat.com> 0.8.10-11
- Fix horizon package install

* Tue Dec 16 2014 James Slagle <jslagle@redhat.com> 0.8.10-10
- Use keepalived notify script if virtual_interfaces are defined
- Set explicit route for VIPs
- Wait for tuskar-api to start up

* Mon Dec 01 2014 James Slagle <jslagle@redhat.com> 0.8.10-9
- Update 0001-Cinder-conf-patch.patch

* Tue Oct 28 2014 James Slagle <jslagle@redhat.com> 0.8.10-8
- Increase rabbitmq timeout
- Copy static files for packaged installs
- Make 101-tuskar-ui re-runnable

* Tue Oct 28 2014 James Slagle <jslagle@redhat.com> 0.8.10-7
- Add Requires on diskimage-builder so the %post script works

* Mon Oct 27 2014 James Slagle <jslagle@redhat.com> 0.8.10-6
- Update patches

* Fri Oct 24 2014 James Slagle <jslagle@redhat.com> 0.8.10-5
- Combine policy installs into one operation
- Update %post

* Thu Oct 23 2014 James Slagle <jslagle@redhat.com> 0.8.10-4
- Update %post script

* Thu Oct 23 2014 James Slagle <jslagle@redhat.com> 0.8.10-3
- Simplify keepalived custom policy

* Tue Oct 21 2014 James Slagle <jslagle@redhat.com> 0.8.10-2
- Make rdo-release install safe

* Mon Oct 20 2014 James Slagle <jslagle@redhat.com> 0.8.10-1
- Update to upstream 0.8.10

* Fri Oct 17 2014 James Slagle <jslagle@redhat.com> 0.8.9-5
- Make sure 100-tuskar-api is +x

* Fri Oct 17 2014 James Slagle <jslagle@redhat.com> 0.8.9-4
- Add package install support for tuskar-ui
- Add package install support for tuskar

* Fri Oct 17 2014 James Slagle <jslagle@redhat.com> 0.8.9-3
- Ensure neutron rootwrap.d symlink is not nested
- SELinux: Fix /mnt/state/var/log/keepalived context
- SELinux: Update keepalived custom policy

* Wed Oct 15 2014 James Slagle <jslagle@redhat.com> 0.8.9-2
- Add ability to enable debug logging on seed
- Support Debian distro for iptables
- Fix os-svc-install
- SELinux: swift denied access to /var/lib/swift/.local
- SELinux: Fix keepalived killall denials
- Remove all first-boot.d references
- Associate default images to storage roles
- Load the storage roles in Tuskar if they exist
- Configure logging for keepalived
- Configures novnc proxy to listen on local-ipv4
- Correct slo middleware position swift proxy-server pipeline

* Mon Oct 13 2014 James Slagle <jslagle@redhat.com> 0.8.9-1
- Update to upstream 0.8.9

* Tue Oct 07 2014 James Slagle <jslagle@redhat.com> 0.8.8-3
- Merge pull request #1 from rwsu/swift-ports
- Associate default images to storage roles

* Tue Oct 07 2014 James Slagle <jslagle@redhat.com> 0.8.8-2
- Associate default images to storage roles
- Load the storage roles in Tuskar if they exist
- Use --resource-registry parameter

* Wed Oct 01 2014 James Slagle <jslagle@redhat.com> 0.8.8-1
- Update to upstream 0.8.8

* Mon Sep 29 2014 James Slagle <jslagle@redhat.com> 0.8.7-1
- Update to upstream 0.8.7

* Mon Sep 15 2014 James Slagle <jslagle@redhat.com> 0.7.6-1
- Update to upstream 0.7.6

* Thu Sep 4 2014 James Slagle <jslagle@redhat.com> - 0.6.5-8
- Add %post script to update files from the element manifest

* Tue Jul 1 2014 James Slagle <jslagle@redhat.com> - 0.6.5-7
- Bump release

* Tue Jul 1 2014 James Slagle <jslagle@redhat.com> - 0.6.5-6
- Add patch Move-rabbitmq-server-cluster-port.patch

* Thu Jun 26 2014 James Slagle <jslagle@redhat.com> - 0.6.5-5
- Add 3 new SELinux patches

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 James Slagle <jslagle@redhat.com> - 0.6.5-3
- Update patch Allow-install-mariadb-from-RDO-repository.patch
  since mariadb-galera-devel is no longer available, it's just plain
  mariadb-devel
- Make files from swift selinux patch +x

* Wed Apr 23 2014 James Slagle <jslagle@redhat.com> - 0.6.5-2
- Add patch Make-innodb-pool-size-configurable.patch

* Mon Apr 14 2014 James Slagle <jslagle@redhat.com> - 0.6.5-1
- Bump to 0.6.5 release, update patches

* Thu Apr 10 2014 James Slagle <jslagle@redhat.com> - 0.6.3-8
- Add patch for swift SELinux policies
- Add patch for mariadb-galera installs

* Thu Apr 03 2014 James Slagle <jslagle@redhat.com> - 0.6.3-7
- Add +x to newly added files from patches

* Thu Apr 03 2014 James Slagle <jslagle@redhat.com> - 0.6.3-6
- Add patches for improved SELinux support.

* Thu Mar 27 2014 James Slagle <jslagle@redhat.com> - 0.6.3-5
- Add patch for cinder.conf

* Wed Mar 26 2014 James Slagle <jslagle@redhat.com> - 0.6.3-4
- Fix 0002-Fix-tgt-target-in-cinder-element.patch, which was misgenerated
  before

* Tue Mar 25 2014 James Slagle <jslagle@redhat.com> - 0.6.3-3
- Add additional patches for some needed workarounds.

* Sun Mar 23 2014 James Slagle <jslagle@redhat.com> - 0.6.3-2
- Add Patch 0008-Add-missing-x.patch
- Add Patch 0009-Create-and-use-libvirtd-group-for-package-install.patch

* Fri Mar 21 2014 James Slagle <jslagle@redhat.com> - 0.6.3-1
- Rebase onto 0.6.3

* Tue Mar 18 2014 James Slagle <jslagle@redhat.com> - 0.6.0-4
- Add patch 0018-Remove-mostly-empty-directories.patch

* Tue Mar 11 2014 James Slagle <jslagle@redhat.com> - 0.6.0-3
- Update based on review feedback
- Added patch 0017-Add-missing-x.patch

* Mon Feb 24 2014 James Slagle <jslagle@redhat.com> - 0.6.0-2
- Add patches for swift package support.

* Thu Feb 20 2014 James Slagle <jslagle@redhat.com> - 0.6.0-1
- Update to 0.6.0 upstream release.

* Mon Feb 17 2014 James Slagle <jslagle@redhat.com> - 0.5.1-1
- Initial rpm build.
